Follow us
facebook
rss
Submit

Thanks for signing up for Modality updates!

Frequently Asked Question

< Back to Support

When I try to sync my application in iTunes, I get a message saying that my Modality application is “not compatible with this iPhone / iPod touch.”

This message usually means that you are not running a supported version of the firmware for your device. To check and get the update:

  1. Open iTunes.
  2. Connect your device.
  3. When it appears in iTunes, select it, then look for the software version on the "Summary" tab.
  4. If your device is running an earlier version, you will be able to update it by clicking the "Check for Updates" button on the "Summary" tab.

Once the update is complete, go back to the App Store product page and follow the steps to install the application on your device.

Still having trouble? Check out Apple’s online Support center